Bug 132502 - kernel-smp-2.6.8-1.521 hangs automatically (even when idle) after 5 to 8 hours on IBM ThinkCentre M50 with acpi and Intel Pentium 4 Hyper Threading 3 GHz processor.
kernel-smp-2.6.8-1.521 hangs automatically (even when idle) after 5 to 8 hour...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-14 02:20 EDT by Soumyendu Raha
Modified: 2015-01-04 17:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:58:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Soumyendu Raha 2004-09-14 02:20:18 EDT
Description of problem:


Version-Release number of selected component (if applicable):
kernel-smp-2.6.8-1.521

How reproducible:
always.
platform: IBM ThinkCentre M50 with acpi and apm.
kernel is started with apm=off acpi=on.
Machine hangs after some time even if kept
idle. system clock seems to stop.


Steps to Reproduce:
1. start kernel-smp-2.6.8-1.521 on IBM ThinkCentre M50 desktop PC with
   Intel Pentium 4 with hyperthreading:
vendor_id       : GenuineIntel
cpu family      : 15
model           : 2
model name      : Intel(R) Pentium(R) 4 CPU 3.00GHz
stepping        : 9
cpu MHz         : 2993.605
cache size      : 512 KB
physical id     : 0
siblings        : 2
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca
cmov pat pse36 clflu
sh dts acpi mmx fxsr sse sse2 ss ht tm pbe cid
bogomips        : 5914.62
Start KDE or gnome or XFCE desktop.

2. Machine hangs after 5 to 8 hours, even if kept idle with or 
without screensaver.

3. Needs a hard reboot (disconnect power, switch on).
  
Actual results:
Hung machine.

Expected results:
Hung machine. Hard reboot needed.


Additional info:
Comment 1 Soumyendu Raha 2004-09-17 00:43:05 EDT
kernel 2.6.6-1.435.2.3smp works fine
Comment 2 Michael Lincoln 2004-09-20 06:27:23 EDT
Same for me. Hangs totaly, unable to unblank sreen, nothing in logs.
Same kernel, with a hyperthreaded Xeon in a Dell PowerEdge 1750.

Booted with standard options:
auto BOOT_IMAGE=linux ro BOOT_FILE=/boot/vmlinuz-2.6.8-1.521smp
root=LABEL=/

/proc/cpuinfo as follows:

processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 2
model name      : Intel(R) Xeon(TM) CPU 2.40GHz
stepping        : 9
cpu MHz         : 2390.129
cache size      : 512 KB
physical id     : 0
siblings        : 2
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca
cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe cid
bogomips        : 4702.20
 
processor       : 1
vendor_id       : GenuineIntel
cpu family      : 15
model           : 2
model name      : Intel(R) Xeon(TM) CPU 2.40GHz
stepping        : 9
cpu MHz         : 2390.129
cache size      : 512 KB
physical id     : 0
siblings        : 2
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca
cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe cid
bogomips        : 4767.74
Comment 3 Dave Jones 2004-11-27 15:26:11 EST
mass update for old bugs:

Is this still a problem with the 2.6.9 based update kernel ?
Comment 4 Dave Jones 2005-04-16 01:58:48 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.